import bpy
from .addon_utils import auto_load
from .slt_ui import menu_func
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTIBILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

bl_info = {
    "name": "Smart Loops Toolkit",
    "author": "Pawel Wilczewski",
    "description": "A bunch of tools that make working with loops more efficient",
    "blender": (3, 0, 0),
    "version": (1, 1, 0),
    "location": "3D View > Sidebar > Edit",
    "warning": "",
    "category": "Mesh"
}


auto_load.init()


def register():
    auto_load.register()
    bpy.types.VIEW3D_MT_edit_mesh_context_menu.prepend(menu_func)


def unregister():
    auto_load.unregister()
    bpy.types.VIEW3D_MT_edit_mesh_context_menu.remove(menu_func)
